# $Revision: 1.72.2.4 $, $Date: 2007/03/11 21:52:09 $

%define		_vmajor		0.10
%define		_vminor		12

Summary:	GStreamer Streaming-media framework runtime
Summary(pl):	GStreamer - biblioteki rodowiska do obrbki strumieni
Name:		gstreamer
Version:	%{_vmajor}.%{_vminor}
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://gstreamer.freedesktop.org/src/gstreamer/%{name}-%{version}.tar.bz2
# Source0-md5:	d3ad1b5f265ab1bd695405fea26317a4
Patch0:		%{name}-without_ps_pdf.patch
Patch1:		%{name}-eps.patch
URL:		http://gstreamer.net/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6
BuildRequires:	bison >= 1.35
BuildRequires:	check >= 0.9.3-2
BuildRequires:	docbook-utils >= 0.6.10
BuildRequires:	flex
BuildRequires:	glib2-devel >= 1:2.8.0
BuildRequires:	gtk-doc >= 1.3
BuildRequires:	libtool >= 1.4
BuildRequires:	libxml2-devel >= 2.4.17
BuildRequires:	nasm
BuildRequires:	perl-base
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	popt-devel >= 1.6.3
# not sure it is a right place for this BR
BuildRequires:	python-PyXML
BuildRequires:	transfig
BuildRequires:	xmlto
Requires:	glib2 >= 1:2.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_gstlibdir	%{_libdir}/gstreamer-%{_vmajor}
%define		_gstincludedir	%{_includedir}/gstreamer-%{_vmajor}

%description
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related. Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plugins.

%description -l pl
GStreamer to rodowisko obrbki danych strumieniowych, bazujce na
grafie filtrw operujcych na danych medialnych. Aplikacje uywajce
tej biblioteki mog robi wszystko od przetwarzania dwiku w czasie
rzeczywistym, do odtwarzania filmw i czegokolwiek innego zwizanego z
mediami. Architektura bazujca na wtyczkach pozwala na atwe dodawanie
nowych typw danych lub moliwoci obrbki.

%package devel
Summary:	Include files for GStreamer streaming-media framework
Summary(pl):	Pliki nagwkowe do rodowiska obrbki strumieni GStreamer
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.8.0
Requires:	libxml2-devel >= 2.4.17
Requires:	popt-devel >= 1.6.3

%description devel
This package contains the includes files necessary to develop
applications and plugins for GStreamer.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe potrzebne do rozwijania aplikacji
i wtyczek do GStreamera.

%package static
Summary:	GStreamer static libraries
Summary(pl):	Biblioteki statyczne GStreamer
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static versions of GStreamer libraries.

%description static -l pl
Statyczne wersje bibliotek GStreamer.

%package apidocs
Summary:	GStreamer API documentation
Summary(pl):	Dokumentacja API Gstreamera
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
GStreamer API documentation.

%description apidocs -l pl
Dokumentacja API Gstreamera.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I common/m4
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	--disable-examples \
	--disable-pspdf \
	--disable-tests \
	--enable-docbook \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_docdir}/%{name}-devel-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_docdir}/%{name}-{%{_vmajor},%{version}}
mv $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/{manual,pwg} \
	$RPM_BUILD_ROOT%{_docdir}/%{name}-devel-%{version}

%find_lang %{name} --all-name --with-gnome

# no static modules and *.la for them - shut up check files
rm -f $RPM_BUILD_ROOT%{_gstlibdir}/lib*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%dir %{_gstlibdir}
%attr(755,root,root) %{_gstlibdir}/*.so
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_docdir}/%{name}-devel-%{version}
%{_gstincludedir}
%{_pkgconfigdir}/*
%{_aclocaldir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gstreamer.spec,v $
Revision 1.72.2.4  2007/03/11 21:52:09  hawk
- updated to 0.10.12

Revision 1.72.2.3  2007/02/21 09:36:01  hawk
- updated to 0.10.11

Revision 1.72.2.2  2006/05/18 23:34:42  baggins
- 0.10.6

Revision 1.72.2.1  2006/05/15 17:26:52  baggins
- merged from HEAD

Revision 1.86  2006/04/28 12:52:43  wrobell
- ver. 0.10.5

Revision 1.85  2006/03/12 20:28:05  sparky
- check with -fPIC required

Revision 1.84  2006/03/12 10:04:38  freetz
- 0.10.4

Revision 1.83  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.82  2006/02/22 17:22:13  freetz
- rel.2

Revision 1.81  2006/02/20 20:49:53  freetz
- BR check

Revision 1.80  2006/02/20 18:35:52  freetz
- trying to really disable ps/pdf creation

Revision 1.79  2006/02/20 18:14:53  freetz
- fixed dir pre-installation

Revision 1.78  2006/02/20 17:32:12  freetz
- killed cachedir, rel.1

Revision 1.77  2006/02/11 16:55:30  qboosh
- updated to 0.10.3

Revision 1.76  2006/01/18 15:02:11  freetz
- 0.10.2, apidocs subpkg, more BR

Revision 1.75  2006/01/14 14:22:14  qboosh
- updated gtk-doc BR
- force glib 2.8.0 because of code differences

Revision 1.74  2006/01/14 13:26:52  qboosh
- updated without_ps_pdf patch (now configurable - but not disabled by default (yet?)
- added eps patch - fixes docbook2ps failure on manual

Revision 1.73  2005/12/31 12:31:49  aflinta
- first try to stable 0.10.1

Revision 1.72  2005/09/05 11:57:44  freetz
- 0.8.11

Revision 1.71  2005/05/03 20:41:06  freetz
- 0.8.10

Revision 1.70  2005/04/30 12:26:15  glen
- require glib 2.6+

Revision 1.69  2005/02/08 18:04:47  grzegol
- updated to 0.8.9

Revision 1.68  2005/01/05 14:14:39  qboosh
- release 3

Revision 1.67  2005/01/05 13:40:57  qboosh
- umask 022 for gst-register

Revision 1.66  2005/01/04 02:34:42  havner
- %%post should never fail

Revision 1.65  2004/12/26 15:25:41  freetz
- 0.8.8, STBR

Revision 1.64  2004/11/27 19:21:09  saq
- massive attack: more BR epoch fixes

Revision 1.63  2004/10/06 18:30:33  freetz
- 0.8.7 - important bugfix release, STBR

Revision 1.62  2004/10/06 08:32:55  freetz
- 0.8.6, switched to primary source0 (freedesktop.org)

Revision 1.61  2004/09/11 05:45:18  havner
- rel 2 for new libdvdnav

Revision 1.60  2004/08/31 09:00:59  snurf
- typos / formatting / etc.

Revision 1.59  2004/08/25 23:58:33  grzegol
- updated to 0.8.5
- removed %%{__gettextize} - it breaks build
- removed intltoolize - intltool is not used in this package

Revision 1.58  2004/07/20 22:53:40  grzegol
- updated to 0.8.4

Revision 1.57  2004/07/06 10:24:03  qboosh
- BR: gettext; ghostscript is required by transfig

Revision 1.56  2004/07/06 09:47:38  qboosh
- BR: intltool

Revision 1.55  2004/06/08 14:54:36  aflinta
- up to version 0.8.3

Revision 1.54  2004/06/04 21:16:58  aflinta
- up to version 0.8.2

Revision 1.53  2004/04/17 12:07:34  aflinta
- up to version 0.8.1

Revision 1.52  2004/04/14 12:25:31  aflinta
- we need ghostscript to build documentation

Revision 1.51  2004/04/01 15:21:31  grzegol
- merged 0.8.0 from DEVEL

Revision 1.50  2003/12/30 13:27:25  qboosh
- added am18 patch (by wiget), release 3

Revision 1.49  2003/12/29 17:59:33  undefine
- use new config.sub to allow build on amd64

Revision 1.48  2003/11/10 05:25:50  krzak
- rel 2

Revision 1.47  2003/11/10 02:02:58  wrobell
- typo

Revision 1.46  2003/11/10 01:38:25  qboosh
- added ppc patch

Revision 1.45.2.10  2004/03/16 13:11:51  grzegol
- updated to 0.8.0

Revision 1.45.2.9  2004/03/10 10:38:39  aflinta
- fixed %doc section

Revision 1.45.2.8  2004/03/10 09:02:46  qboosh
- fixed doc attr, but still broken

Revision 1.45.2.7  2004/03/09 20:18:05  aflinta
- up to version 0.7.6, simplified spec

Revision 1.45.2.6  2004/02/27 22:26:34  grzegol
- updated BRs, strict internal deps

Revision 1.45.2.5  2004/02/27 06:30:10  aflinta
- up to version 0.7.5

Revision 1.45.2.4  2004/02/06 19:04:50  grzegol
- updated to 0.7.4
- removed outdated doc-destdir patch

Revision 1.45.2.3  2003/12/22 14:11:39  wiget
- updated to 0.7.3
- added am18.patch (underquote fix in autoconf macros def)

Revision 1.45.2.2  2003/11/24 12:15:41  wiget
- 0.7.2

Revision 1.45.2.1  2003/10/22 18:50:18  krzak
- up to 0.7.1 (DEVEL)
- --program-suffix="" (to avoid this -0.7 suffix)
- %%post change (but it's still not what should be there imho)
- doc-build.patch (add missing file)

Revision 1.45  2003/10/20 12:23:22  qboosh
- BR: am,lt; disable fast-stack-trash on i[34]86

Revision 1.44  2003/10/16 23:03:47  krzak
- BR: transfig (for documentation)

Revision 1.43  2003/10/16 22:22:37  krzak
- remove "--disable-DEBUG"

Revision 1.42  2003/10/16 21:18:08  krzak
- %%clean    rm -rf $RPM_BUILD_ROOT

Revision 1.41  2003/10/16 21:14:58  krzak
- up to 0.6.4
- BR: xmlto
- libtool.patch        (add AC_PROG_LIBTOOL)
- without_ps_pdf.patch (disable build PS and PDF verson of documentation)
- doc-destdir.patch    (fix documentation installation directory)
- --disable-debug-color, --disable-DEBUG, --disable-debug
- --with-cachedir=%%{_gstcachedir}
- autotools
- --enable-fast-stack-trash (i586 i686 athlon)

Revision 1.40  2003/10/15 10:00:49  qboosh
- added -devel deps

Revision 1.39  2003/08/27 05:03:05  aflinta
- version 0.6.3

Revision 1.38  2003/08/19 11:19:46  wrobell
- added registry.xml /as ghost/
- rel. 2

Revision 1.37  2003/08/18 14:53:52  qboosh
- BR: autoconf,bison,flex,gtk-doc (reported by Pawel Zurowski)

Revision 1.36  2003/06/10 07:59:24  aflinta
- version 0.6.2

Revision 1.35  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.34  2003/05/25 05:48:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.33  2003/05/16 11:50:30  qboosh
- no static modules and *.la for them; release 2

Revision 1.32  2003/04/19 22:44:44  grzegol
- updated to 0.6.1

Revision 1.31  2003/04/11 09:46:59  qboosh
- added missing gstlibdir and gstcachedir (created by gst-register)

Revision 1.30  2003/02/02 21:54:25  grzegol
- updated to 0.6.0
- added _gstlibdir and _gstincludedir macros

Revision 1.29  2003/01/22 17:48:27  aflinta
- updated to version 0.5.2

Revision 1.28  2003/01/08 01:09:39  aflinta
- updated to version 0.5.1

Revision 1.27  2002/12/13 09:45:59  wrobell
- devel stuff moved from main to devel package

Revision 1.26  2002/12/10 22:27:13  aflinta
- added missing lib

Revision 1.25  2002/12/10 22:07:10  aflinta
- updated to version 0.5.0

Revision 1.24  2002/11/25 19:54:28  baggins
- regenerate configure

Revision 1.23  2002/11/25 14:13:05  ankry
- massive attack: no need for 755 for *.la

Revision 1.22  2002/11/03 20:23:06  grzegol
- updated to 0.4.2
- updated BR

Revision 1.21  2002/10/22 01:08:03  aflinta
- corrected missing files

Revision 1.20  2002/10/03 12:15:44  qboosh
- added missing dir and Requires(post)

Revision 1.19  2002/09/23 08:11:40  wrobell
- start 0.4.1 version upgrade

Revision 1.18  2002/09/23 08:00:25  wrobell
- ver. 0.4.0.2

Revision 1.17  2002/04/25 16:30:46  arturs
fixed a small typo

Revision 1.16  2002/04/16 15:42:43  wrobell
- ver. 0.3.4

Revision 1.15  2002/03/11 18:05:35  wrobell
- fixed build requirements

Revision 1.14  2002/03/11 11:48:53  wrobell
- ver. 0.3.3

Revision 1.13  2002/02/23 02:30:44  kloczek
- adapterized.

Revision 1.12  2002/02/22 23:29:01  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/06 00:45:53  wrobell
- ver. 0.3.2
- changed source uri

Revision 1.10  2002/01/18 02:13:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2002/01/10 15:14:39  wrobell
- update for ver. 0.3.1 (look for gst-plugins.spec)

Revision 1.8  2001/11/29 14:21:41  qboosh
- adapterized, pl translations
- separated -static; isnt't it X11 library?

Revision 1.7  2001/11/25 09:22:36  wrobell
- use cvs version (next version should be released this month)
- all build requirements are back (without libshout which is out of date),
  sorted

Revision 1.6  2001/11/24 04:51:47  wrobell
- more build requirements (some commented out due to compilation
  problems...)
- use DESTDIR instead of prefix during install
- NFY -> I see long way...

Revision 1.5  2001/10/03 16:43:38  filon
- req: %{name} -> %{name} = %{version} for devel subpkg
- release 2

Revision 1.4  2001/07/26 18:42:09  blues
- even more buildrequires
- some ac/am works.
NFY and I'm not gonna to finnish it.

Revision 1.3  2001/07/26 10:03:39  blues
- 0.2.1
- mooooore buildrequires
- ac 2.5 ready
NFY

Revision 1.2  2001/07/26 04:23:41  agaran
light modifications, adapterized
no source in repo

* Tue Jan 09 2001 Erik Walthinsen <omega@cse.ogi.edu>
- updated to build -devel package as well

* Sun Jan 30 2000 Erik Walthinsen <omega@cse.ogi.edu>
- first draft of spec file
